std::filesystem::file_status(3)

NAME
std::filesystem::file_status - std::filesystem::file_status

Synopsis
   Defined in header <filesystem>
   class file_status; (since C++17)
   Stores information about the type and permissions of a file.

Member functions
   constructor constructs a file_status object
                 (public member function)
   operator= assigns contents
                 (public member function)
   destructor implicit destructor
                 (public member function)
   type gets or sets the type of the file
                 (public member function)
   permissions gets or sets the permissions of the file
                 (public member function)

Non-member functions
   operator== compares two file_status objects
   (C++20) (function)

See also
   status determines file attributes
   symlink_status determines file attributes, checking the symlink target
   (C++17) (function)
   (C++17)
   status status of the file designated by this directory entry
   symlink_status symlink_status of the file designated by this directory entry
                  (public member function of std::filesystem::directory_entry)